SplObjectStorage::next
SplObjectStorage::offsetGet
SplObjectStorage
PHP Manual

# SplObjectStorage::offsetExists

(PHP 5 >= 5.3.0)

SplObjectStorage::offsetExists — Checks whether an object exists in the storage

### Description

public bool SplObjectStorage::offsetExists ( object `$object` )

Checks whether an object exists in the storage.

> Note:

> SplObjectStorage::offsetExists() is an alias of SplObjectStorage::contains().

### Parameters

`object`

  The object to look for.

### Return Values

Returns `TRUE` if the object exists in the storage, and `FALSE` otherwise.

### Examples

Example #1 SplObjectStorage::offsetExists() example

`<?php
$s = new SplObjectStorage;
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1);
var_dump($s->offsetExists($o1)); // Similar to isset($s[$o1])
var_dump($s->offsetExists($o2)); // Similar to isset($s[$o2])
?>`

The above example will output something similar to:

    bool(true)
    bool(false)

### See Also

- SplObjectStorage::offsetSet() - Associates data to an object in the storage
- SplObjectStorage::offsetGet() - Returns the data associated with an object
- SplObjectStorage::offsetUnset() - Removes an object from the storage

SplObjectStorage::next
SplObjectStorage::offsetGet
SplObjectStorage
PHP Manual